---
updatedAt: 2026-06-16T18:46:24.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/llms.txt
---

# Updates an existing mobile device by serial number

<os_name> in <android> is derived from the api level and cannot be set.

```xml Sample Request Body
<mobile_device>
	<general>
		<display_name>iPad</display_name>
		<device_name>iPad</device_name>
		<name>iPad</name>
		<asset_tag>string</asset_tag>
		<serial_number>C02Q7KHTGFWD</serial_number>
		<udid>270aae10800b6e61a2ee2bbc285eb967050b6984</udid>
	</general>
	<location>
		<username>JBetty</username>
		<realname>Betty Jackson</realname>
		<real_name>Betty Jackson</real_name>
		<email_address>jbetty@company.com</email_address>
		<position>Systems Engineer</position>
		<phone>123-555-6789</phone>
		<phone_number>123-555-6789</phone_number>
		<department>Sales Staff</department>
		<building>New York Office</building>
		<room>1159</room>
	</location>
	<purchasing>
		<is_purchased>true</is_purchased>
		<is_leased>true</is_leased>
		<po_number>string</po_number>
		<vendor>string</vendor>
		<applecare_id>string</applecare_id>
		<purchase_price>string</purchase_price>
		<purchasing_account>string</purchasing_account>
		<po_date_epoch>0</po_date_epoch>
		<warranty_expires_epoch>0</warranty_expires_epoch>
		<lease_expires_epoch>0</lease_expires_epoch>
		<life_expectancy>0</life_expectancy>
		<purchasing_contact>string</purchasing_contact>
	</purchasing>
	<extension_attributes>
    <extension_attribute>
		  <id>1</id>
		  <name>Asset Selector</name>
		  <value>Sample Value</value>
    </extension_attribute>
	</extension_attributes>
</mobile_device>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.32.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false
  },
  "paths": {
    "/mobiledevices/serialnumber/{serialnumber}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "mobiledevices"
        ],
        "summary": "Updates an existing mobile device by serial number",
        "description": "<os_name> in <android> is derived from the api level and cannot be set.",
        "operationId": "updateMobileDeviceBySerialNumber",
        "parameters": [
          {
            "name": "serialnumber",
            "in": "path",
            "required": true,
            "description": "Serial number value to filter by",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```